Author Topic: Macos 10.15.4 Future Incompatibility Warning  (Read 2707 times)

0 Members and 1 Guest are viewing this topic.

Offline drake145

  • Jr. Member
  • **
  • Posts: 45
Macos 10.15.4 Future Incompatibility Warning
« on: March 24, 2020, 11:43:44 PM »
Hi,

Today I updated to macOS 10.15.4 and a warning came up about some component of Avast would not be compatible with future versions of macOS and to contact the developer. I unfortunately didn't take a screenshot of it, but I am sure others will probably see it once they update.

I guess the Avast team would be aware of this.


Offline lukas.hasik

  • Avast team
  • Advanced Poster
  • *
  • Posts: 905
  • Product manager of Mac AV and Cleanup
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #1 on: March 25, 2020, 09:32:07 AM »
Hi,

Today I updated to macOS 10.15.4 and a warning came up about some component of Avast would not be compatible with future versions of macOS and to contact the developer. I unfortunately didn't take a screenshot of it, but I am sure others will probably see it once they update.

I guess the Avast team would be aware of this.

Thank you! We will investigate.
We are aware of the future changes that Apple is planning however it's quite hard to keep up with the minimum information and support they provide. I only assume that this is connected to kernel extensions that are going to be deprecated in some future versions of macOSX. We are doing our best to be compatible once it happens.

Quality is also a feature.

Offline drake145

  • Jr. Member
  • **
  • Posts: 45
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #2 on: March 25, 2020, 06:26:05 PM »
It does appear to be about kernel extensions per this article released today:

https://www.imore.com/new-macos-10154-warnings-are-shot-across-bow-kernel-extensions

Also, directly from apple:

https://support.apple.com/en-us/HT210999

Offline ondrej.kolacek

  • Avast team
  • Sr. Member
  • *
  • Posts: 305
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #3 on: March 26, 2020, 01:21:01 PM »
Hello,

we are aware about the fact that Kernel Extensions are deprecated as of MacOS 10.15 Catalina. We are already working on switching to the new Endpoint Security and Network Extension frameworks meant to replace them, however the work is not yet finished. We are working hard to finalise the work and roll to the new code out as soon as possible, but it is not a simple task, so it won't be out in Avast 14.4 for sure.

Unfortunately in the foreseeable future it will be necessary to live with the popups, which AFAIK are supposed to only pop once after each restart.

Kind regards,
Ondrej Kolacek

Offline lukas.hasik

  • Avast team
  • Advanced Poster
  • *
  • Posts: 905
  • Product manager of Mac AV and Cleanup
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #4 on: March 27, 2020, 02:27:48 PM »
Quality is also a feature.

Offline sma907

  • Newbie
  • *
  • Posts: 1
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #5 on: November 14, 2020, 03:53:54 PM »
Avast continues to charge customers without warning and then send them a product that triggers ominous warnings from MacOS.   That is not my definition of quality.

I'm done with Avast.

Offline ondrej.kolacek

  • Avast team
  • Sr. Member
  • *
  • Posts: 305
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #6 on: November 16, 2020, 09:40:50 AM »
Hello,

on MacOS 10.15 Catalina, there are two mechanisms how to implement active shields: the old one via kernel extension and a new one via system extension and endpoint security. However using the latter on MacOS Catalina is not possible; Apple has only introduced it there and it is still very incomplete. There are number of bugs and missing features which would lead to many issues with the Internet if we would attempt to use it as it is. These issues have been reported by us to Apple and all the critical ones have been fixed in MacOS 11 Big Sur.

Unfortunately, the popups about incompatible software do not care that on MacOS 11 Big Sur we use the new APIs and are thus fully compatible with it. They are simply triggered first time when we load a kernel extension on Catalina. Apple has declined to solve this popup issue when we have reported it; unfortunately there is nothing we can do with the "incompatible" popups.

Please be assured that we support the newest Mac operating system.

Kind regards,
Ondrej Kolacek

Offline Thomas812

  • Newbie
  • *
  • Posts: 5
Re: Macos 10.15.4 Future Incompatibility Warning
« Reply #7 on: November 16, 2020, 05:34:40 PM »
Ondrej, you may be supporting Big Sur, but your software Avast does not. The issues with Emailshield and Webshield persists. And Avast support is completely unresponsive.

I am in a production environment and can't have this happen!